Mail archive
alpine-devel

Re: [alpine-devel] apk: invalid option -- d

From: Natanael Copa <natanael.copa_at_gmail.com>
Date: Thu, 30 Jul 2009 16:22:54 +0200

On Thu, 2009-07-30 at 23:57 +1000, Mark Constable wrote:
> The package built and what is in pkg/ looks good but it
> doesn't quite finish off building the actual *.apk package.
>
> >>> ...
> >>> mrxvt*: Creating mrxvt-doc-0.5.4-r2009073013.apk...
> >>> mrxvt*: Tracing dependencies for mrxvt...
> >>> mrxvt*: Added 'uclibc' as dependency as it has ld-uClibc.so.0
> >>> mrxvt*: Added 'libx11' as dependency as it has libX11.so.6
> >>> WARNING: mrxvt*: You can remove 'libxpm' from depends

There is a new feature in abuild that will trace all the .so
dependencies for you. You only need to specify things that are not
handled by the linker. (ie scripts that needs perl, bash etc)

> >>> mrxvt*: Added 'libxrender' as dependency as it has libXrender.so.1
> >>> mrxvt*: Added 'uclibc' as dependency as it has libc.so.0
> >>> WARNING: mrxvt*: You can remove 'libjpeg' from depends
> >>> WARNING: mrxvt*: You can remove 'libpng' from depends

ditto

but you still need the -dev package in makedepends.

> >>> mrxvt*: Creating mrxvt-0.5.4-r2009073013.apk...
> >>> mrxvt: Updating the cached abuild repository index...
> apk: invalid option -- d

You have an old version of abuild. You should use 2.0_rc something.

Do this to upgrade the build tools:

apk update
apk add -u alpine-sdk

-nc



---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Thu Jul 30 2009 - 16:22:54 UTC